#
# これはRPMを生成するための.specファイルです。
# mkpkg.shスクリプトを実行してRPMを生成してください。
#
# .specファイルは以下の７つのパートから構成されます。
# - ヘッダ(Header stanza)
# - 前準備(Prep stanza)
# - ビルド(Build stanza)
# - インストール(Install stanza)
# - ファイル(Files stanza)
# - スクリプト(Script stanza)
# - 変更記録(Changelog stanza)
#

###########################################################################
#       ヘッダ(Header stanza)
#
# パッケージ名前や説明文などの基本的な情報を指定します。
#

# パッケージの説明
Summary: daikon: STG Script Interpreter

# パッケージ名
Name: daikon

# バージョン番号
Version: 1.0.1

# リリース番号
Release: 1

# ダイコンはGPLv3の下で配布されます。
License: GPLv3

# パッケージの分類
Group: Applications/System

# ダイコンと、そのサンプルスクリプトをRPMにパッケージングします。
Source: daikon-1.0.1.tar.gz
Source1: sample
Source2: daikon-launcher
Source3: icon.png

# プロジェクトのWEBサイト
URL: http://sourceforge.jp/projects/daikon/

# ダイコンを実行するのに必要なパッケージ
Requires: SDL, SDL_image, SDL_mixer, SDL_ttf, libXerces-c28, libboost_filesystem1_36_0

# ダイコンをビルドするのに必要なパッケージ
BuildRequires: SDL-devel, SDL_image-devel, SDL_mixer-devel, SDL_ttf-devel, libXerces-c-devel, boost-devel libboost_filesystem1_36_0

# RPMパッケージ(バイナリ)を作るために、ダイコンをビルドする場所
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# ダイコンの説明文
%description
daikon is interpreter for STG script.

###########################################################################
#       前準備(Prep stanza)
#
# ソースの展開(%setup)とパッチ当て(%patch)作業を指定します。
#
%prep
%setup

# インストール先を設定します
%define _prefix /usr/local

###########################################################################
#       ビルド(Build stanza)
#
# コンパイル方法を指定します。
#
%build

# ./configure を実行します
%configure

# ソースをコンパイルします
make


###########################################################################
#       インストール(Install stanza)
#
# 仮想ファイルシステムを作り、
# そこにインストールするファイルを格納します。
# これにより、各ファイルのインストール先が決定します。
#
%install

# make install を実行します。
%makeinstall

# サンプルスクリプトのインストール
mkdir -vp $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -vr %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/%{name}

# ダイコンランチャーのインストール
mkdir -vp $RPM_BUILD_ROOT/%{_bindir}/
cp -v %{SOURCE2} $RPM_BUILD_ROOT/%{_bindir}/

# アイコンのインストール
cp -vr %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/%{name}

#
# ビルドに使用したディレクトリを掃除(削除)します。
#
%clean
rm -rf %{buildroot}


###########################################################################
#       ファイル(Files stanza)
#
# 仮想ファイルシステム上のファイルの中で、
# パッケージングする(実際にインストールする)ファイルを指定します。
# 他にもファイルのパーミッションや所有者などを設定できます。
#
# 設定ファイルなど、パッケージの更新によって上書きされないファイルなども
# 指定できます。
#
%files

# デフォルトのファイル属性を指定します。
%defattr(- root, root)

# 以下のファイルをインストールします。
%{_bindir}/*
%{_datadir}/*

###########################################################################
# スクリプト(Script stanza)
#
# RPMパッケージのインストール/アンインストールの前後に
# 実行すべきスクリプトを指定します。
#

# インストール前に実行します
# %pre
#
# インストール後に実行します
# %post
#
# アンインストール前に実行します
# %preun
#
# アンインストール後に実行します
# %postun
#


###########################################################################
#       変更記録(Changelog stanza)
#
# パッケージの更新記録です。
#
%changelog
* Wed Jan 28 2009 karasimiso <karasimiso@users.sourceforge.jp> 1.0.1
- Initial Package.

